Subject: RE: Comments on draft-dimitri-ccamp-gmpls-ason-routing-ospf-00.txt

From: "Sadler, Jonathan B." <[email-masked]>
Date: Thu, 6 Jul 2006 17:08:55 -0500

Hi Acee, Lyndon and Dimitri,

Actually, it would be better if the extension defined in Sec. 5.1 were
in terms of OSPF Router_ID, not TE_Router_ID...

The transport network elements being shown in the TE database are not
necessarily capable of receiving IP packets -- that's the function of
the control plane device working on behalf of the network element.
Using "a stable IP address of the advertising router that is always
reachable" (def'n for Router Address TLV in RFC3630) seems incorrect
given this lack of IP packet processing, not to mention a waste of
addresses for the IPv4 network.  Using a "32-bit number that uniquely
identifies the (data-plane device)" seems more appropriate.

It should be noted that the extension defined in Sec. 5.1 is necessary
not only to allow one control plane participant to announce the
existence of multiple network elements in the routing topology, but also
to allow multiple control plane instances to announce separate sets of
links on the same network element (i.e. allowing cardinality of Li:Pi:Ri
other than 1:1:1 as shown by the examples in Sec. 6 of
draft-ietf-ccamp-gmpls-ason-routing-eval).  This also would make use of
an address for the IPv4 network problematic as it is unclear which
address would be appropriate to use.

When cardinality of 1:1:1 does exist, certainly the Router_ID and
TE_Router_ID could be set to the same value to simplify operations.
However, implementations should recognize them as from two separate
name-spaces, and not interchangeable...

Jonathan Sadler

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Acee Lindem
Sent: Thursday, July 06, 2006 4:23 PM
To: Ong, Lyndon
Cc: [email-masked]; [email-masked];
[email-masked]
Subject: Re: Comments on
draft-dimitri-ccamp-gmpls-ason-routing-ospf-00.txt

Ong, Lyndon wrote:

>Hi Dimitri, Acee,
>
>Just a small comment on the Link_ID - I think Dimitri is right that the
>Link_ID and the Local/Remote TE_Router_ID have different meanings and
>must not be confused.  On the other hand, Acee may have a point that
the
>Link_ID actually is no longer necessary once you have the Local/Remote
>TE_Router_ID - we found in some prototyping that with the separation
>of the Router_ID and TE_Router_ID that it became somewhat arbitrary as
>to what value you gave as the remote Router_ID, this was not used in
>  
>

>path computation at all.
Hi Lyndon,

Exactly my point but I seemed to be getting into a circular argument. 
 From the standpoint of TE,
you only care about the entity to which link actually connects.  Also, 
is there any reason why
the TE router ID space and router-id space wouldn't overlapp? I don't 
see one.

Thanks,
Acee

>Cheers,
>
>Lyndon 
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On
>Behalf Of [email-masked]
>Sent: Thursday, July 06, 2006 11:12 AM
>To: Acee Lindem
>Cc: [email-masked]; [email-masked]
>Subject: Re: Comments on
>draft-dimitri-ccamp-gmpls-ason-routing-ospf-00.txt
>
>acee - see inline
>
>
>
>
>Acee Lindem <[email-masked]>
>Sent by: [email-masked]
>06/07/2006 18:36
> 
>        To:     Dimitri PAPADIMITRIOU/BE/ALCATEL@ALCATEL
>        cc:     [email-masked]
>        Subject:        Re: Comments on 
>draft-dimitri-ccamp-gmpls-ason-routing-ospf-00.txt
>
>  
>
>>Dimitri,
>>
>>Here are my comments on the subject document:
>>
>>  General - Describe the relationship of OSPF areas to ASON RAs.
>>  Section 6.1 references     OSPF area ID but the relationship
>>  is implied.
>>
>>[dp] point taken (i guess we did not do a sufficiently good job in RFC

>>4258 and in the eval doc. as still some questioning remains about 
>>information map)
>>
>>Section  3.2 - The length calculation is simply wrong.  You
>> really don't know how many prefixes you've got until you've
>> parsed them.
>>
>>[dp] which length are you referring to ? the prefix or the sub-TLV ?
>>
>>
>>    
>>
>The TLV length, the nonesense below:
>
>The Length is set to Sum[n][4 + #32-bit words/4] where n is the 
>   number of local prefixes included in the sub-TLV. 
>
>[dp] 4 x n as defined in the node i-d is ok - why not this one 
>
>  
>
>>Section 5.1 - RFC 3620 specifies that the Link-ID Sub-TLV
>> specifies the router-id. Why do you need the remote router-id
>> in this sub-TLV? Could the 5.2 sub-TLV satisfy the
>> requirement?
>>
>>[dp] it is not the router_id but the TE router_ID
>>    
>>
>
>  
>
>>[dp] the issue is that there is no more a there is no more a 1:1 
>>relationship between the Router_ID and the TE Router_ID in the present

>>context
>>    
>>
>
>I surmised that. Why wouldn't the link ID be the remote TE router ID in
>this case? The advertising router seems irrelevant from a TE
standpoint.
>
>[dp] because the router_id is not linked on a 1:1 basis to the TE
>router_id when space is per TE_router_id you need to seggregate this
>information
>
>  
>
>>Section 6.0 - You should NOT need to change OSPF flooding rules.
>> In other words, I don't see the need to specify the following:
>>
>> The Opaque TE LSA re-origination is governed as follows:
>>   - If the target interface is associated to the same area as the
>>     one associated with the receiving interface, the Opaque LSA MUST
>>     NOT be re-originated out that interface.
>>   - If a match is found between the Advertising Router ID in the
>>     header of the received Opaque TE LSA and one of the Router ID
>>     belonging to the area of the target interface, the Opaque LSA
>>     MUST NOT be re-originated out that interface.
>>   - If these two conditions are not met the Opaque TE LSA MAY be re-
>>     originated.
>>
>> Rather you should specify rules for importing/exporting  information 
>>between OSPF instances at different levels.
>>
>>[dp] your proposal is thus to revise these as import/export rules ?
>>in order to prevent having specific flooding rules between levels the 
>>point was to not expand too much on the communication process (inside 
>>the entity) between level adjacent RCs but if this makes you more 
>>confortable i can revise as import/export rules
>>    
>>
>
>The existing RFC 3620 TE opaque LSAs are area scoped LSAs. Area scoped
>LSAs have very well defined flooding rules and, IMHO, you should not be
>trying to roll-your-own flooding rules for this application. Just think
>what a mess we'd have if every party proposed an opaque LSA also
>proposed some flooding hack for their opaque LSA type.
>
>[dp] i don't have any issue to express LSA processing with import and
>export rules (even if there is nothing in 3640 to pass LSA between
>routing
>instance)
>
>  
>
>>Section 6.1 While an RA is completely contained within a single
>>  parent layer RA. A given    RA may have multiple child RAs. 
>>Hence, the election algorithm is broken. 
>>
>>[dp] to make it clear this is not an "election" process
>>
>>At a minimum,
>>  you must advertise all your child areas.  Also, you MUST state
>>  that reachability is a precondition for considering a router
>>  eligible to pass information between levels.
>>
>>[dp] upper not lower (it is a discovery from a given to an upper
parent
>>    
>>
>
>  
>
>>viewpoint, where a child has a unique parent)
>>
>>
>>    
>>
>I get from RFC 4258 that a child RA will be contained within a single
>parent RA. However, no where do I that a parent RA can have a single
>child RA. So, if a single RC in a parent RA has multiple child RAs, you
>need to advertise more than one area ID.
>
>[dp] the parent is unique why multiple parent area id
>
>Also, you did not address the requirement for reachability. What if the
>RA becomes partitioned or the advertising RC goes down without
>withdrawing its advertisements. 
>You MUST deal
>this - it is simply broken the way it is.
>
>[dp] situation is the same as with a single ABR case, in case of
>multiple RC's you are expected to be aware of the broken RC -
>
>  
>
>>  Finally, since this is going to require advertisement of more
>>  than a single area-ID, please allocate a separate opaque LSA
>>  for ASON purposes.
>>
>>[dp] having clarified the above is that still needed ?
>>
>>
>>    
>>
>You only clarified that it is wrong.
>
>[dp] not sure to capture your point - but ok - 
>
>  
>
>>Section 6.2 - Are you suggesting a single area ID or an area ID
>>  path (similar to the BGP AS path)? 
>>
>>[dp] the former
>>
>>I guess this may work if you
>>  always advertise you own area ID when redistributing between
>>  areas (relying on the fact that a child area is completely
>>  contained by its parent). I'm going to think more about this
>>  encourage others to do the same.
>>
>>General: Have you considered aggregation?
>>
>>[dp] at which level - reachability can be aggregated for inst.
>>
>>
>>    
>>
>Than the rules for aggregation should be specified.
>
>[dp] can add base guidelines if needed
>
>Thanks,
>Acee
>
>  
>
>>Thanks,
>>Acee
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>    
>>
>
>
>  
>
============================================================
The information contained in this message may be privileged
and confidential and protected from disclosure. If the reader
of this message is not the intended recipient, or an employee
or agent responsible for delivering this message to the
intended recipient, you are hereby notified that any reproduction,
dissemination or distribution of this communication is strictly
prohibited. If you have received this communication in error,
please notify us immediately by replying to the message and
deleting it from your computer. Thank you. Tellabs
============================================================

---

From: "Ong, Lyndon" <[email-masked]>
Date: Thu, 6 Jul 2006 19:11:15 -0400

Hi Jonathan,

This is a question of the right OSPF terminology where I would defer
to the experts.  The important thing from an ASON standpoint is to 
distinguish the routing entity that generates the advertisement from
the data plane entities at either end of the link, or their control
plane 
identifiers, since ASON allows separation between the two.

I think your point is that the data plane entities may not necessarily
be identified by reachable IP addresses, maybe just by a 32-bit number.

Cheers,

Lyndon

-----Original Message-----
From: Sadler, Jonathan B. [mailto:[email-masked]] 
Sent: Thursday, July 06, 2006 3:09 PM
To: Acee Lindem; Ong, Lyndon
Cc: [email-masked]; [email-masked];
[email-masked]
Subject: RE: Comments on

Jonathan Sadler

-----Original Message-----

the
>TE_Router_ID - we found in some prototyping that with the separation of

>the Router_ID and TE_Router_ID that it became somewhat arbitrary as to 
>what value you gave as the remote Router_ID, this was not used in
>  
>

Hi Lyndon,

Exactly my point but I seemed to be getting into a circular argument. 
 From the standpoint of TE,
you only care about the entity to which link actually connects.  Also,
is there any reason why the TE router ID space and router-id space
wouldn't overlapp? I don't see one.

Thanks,
Acee

>>Section  3.2 - The length calculation is simply wrong.  You  really 
>>don't know how many prefixes you've got until you've  parsed them.
>>
>>Section 5.1 - RFC 3620 specifies that the Link-ID Sub-TLV  specifies 
>>the router-id. Why do you need the remote router-id  in this sub-TLV? 
>>Could the 5.2 sub-TLV satisfy the  requirement?
>>

standpoint.

parent

>>  Finally, since this is going to require advertisement of more  than 
>> a single area-ID, please allocate a separate opaque LSA  for ASON 
>> purposes.
>>
============================================================
The information contained in this message may be privileged and
confidential and protected from disclosure. If the reader of this
message is not the intended recipient, or an employee or agent
responsible for delivering this message to the intended recipient, you
are hereby notified that any reproduction, dissemination or distribution
of this communication is strictly prohibited. If you have received this
communication in error, please notify us immediately by replying to the
message and deleting it from your computer. Thank you. Tellabs
============================================================